import { DeepClientInstance } from './client';
import { Id } from './minilinks';
export declare class Package {
    deep: DeepClientInstance;
    name: string;
    constructor(options: PackageOptions);
    createEntity(name: string): {
        id: () => Promise<Id>;
        idLocal: () => Id;
        name: string;
    };
    id(...names: string[]): Promise<Id>;
    idLocal(...names: string[]): Id;
    applyMiniLinks(): Promise<{
        errors?: import("./minilinks").MinilinkError[];
        anomalies?: import("./minilinks").MinilinkError[];
    }>;
}
export interface PackageOptions {
    name: string;
    deep: DeepClientInstance;
}
